/*
    Copyright  1995-2006, The AROS Development Team. All rights reserved.
    $Id: monaco.c,v 1.1 2007/09/23 19:11:16 itix Exp $

    Desc: Country data for Monaco
    Author: Stefan Haubenthal <polluks@sdf.lonestar.org>
*/

#include <libraries/locale.h>
#include <prefs/locale.h>

struct CountryPrefs monacoPrefs =
{
    /* Reserved */
    { 0, 0, 0, 0 },

    /* Country code (licence plate number), telephone code, measuring system */
    MAKE_ID('M','C',0,0), 377, MS_ISO,

    /* Date time format, date format, time format */
    "%A %e %B %Y %Hh%M",
    "%A %e %B %Y",
    "%Hh%M",

    /* Short datetime, short date, short time formats */
    "%d/%m/%Y %Hh%M",
    "%d/%m/%Y",
    "%Hh%M",

    /* Decimal point, group separator, frac group separator */
    ",", " ", " ",

    /* For grouping rules, see <libraries/locale.h> */

    /* Grouping, Frac Grouping */
    { 3 }, { 3 },

    /* Mon dec pt, mon group sep, mon frac group sep */
    ",", " ", " ",

    /* Mon Grouping, Mon frac grouping */
    { 3 }, { 3 },

    /* Mon Frac digits, Mon IntFrac digits, then number of digits in
       the fractional part of the money value. Most countries that
       use dollars and cents, would have 2 for this value

       (As would many of those you don't).
    */
    2, 4,

    /* Currency symbol, Small currency symbol */
    "Euro", "Cent",

    /* Int CS, this is the ISO 4217 symbol, followed by the character to
       separate that symbol from the rest of the money. (\x00 for none).
    */
    "EUR",
    /* Mon +ve sign, +ve space sep, +ve sign pos, +ve cs pos */
    "", SS_NOSPACE, SP_PREC_ALL, CSP_SUCCEEDS,

    /* Mon -ve sign, -ve space sep, -ve sign pos, -ve cs pos */
    "-", SS_NOSPACE, SP_PREC_ALL, CSP_SUCCEEDS,

    /* Calendar type */
    CT_7MON
};
